﻿@model IEnumerable<Mr_Book_FontEnd_V1.Models.AdminModel>
@{
    ViewData["Title"] = "Index";
}

<div class="container-fluid">
    <div class="page-header">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="ik ik-database bg-blue"></i>
                    <div class="d-inline">
                        <h5>Database</h5>
                        <span>Mysql</span>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <nav class="breadcrumb-container" aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="#"><i class="ik ik-home"></i></a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="@Url.Action("Index","Home")">Home</a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Mysql</li>
                    </ol>
                </nav>
            </div>

        </div>
    </div>
    <div class="card-body">
        <div class="card">
            <div class="card-header row">
                @*<div class="col col-sm-2">
                    <div class="card-search with-adv-search dropdown">
                        <form method="get">
                            <input type="text" class="form-control" placeholder="Search.." name="search" id="search">
                            <button class="btn btn-icon"><i class="ik ik-search"></i></button>
                        </form>
                    </div>
                </div>*@
                <div class="col col-sm-3 right">
                    <a href="#" data-toggle="modal" data-target="#exampleModalCenter1" class="btn btn-outline-success"><i class="ik ik-plus"></i> เพิ่ม Admin</a>
                </div>
            </div>
            <div class="card-body p-0">

                <div class="list-item-wrap">
                    @if (Model != null)
                    {
                        @foreach (var i in Model)
                        {
                            <div class="list-item">
                                <div class="item-inner">
                                    <div class="list-title"><a href="javascript:void(0)">ชื่อ: @i.Firstname @i.Surname </a></div>
                                    <div class="list-actions">
                                        <a href="#" onclick="DetailAdmin(@i.AdminID)" data-toggle="modal" data-target="#exampleModalCenter2"><i class="ik ik-eye"></i></a>
                                        <a href="#" onclick="DetailAdmin(@i.AdminID)" data-toggle="modal" data-target="#exampleModalCenter3"><i class="ik ik-edit-2"></i></a>
                                        <a href="#" onclick="onDelete(@i.AdminID)"><i class="ik ik-trash-2"></i></a>
                                    </div>
                                </div>
                                <div class="qickview-wrap">
                                    <div class="desc">
                                        <p>ชื่อผู้ใช้:  @i.Username</p>
                                    </div>
                                </div>
                            </div>
                        }
                    }
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="exampleModalCenter1" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterLabel">เพิ่ม Admin</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <form method="post">
                <div class="modal-body">

                    <div class="form-group">
                        <label>ชื่อ</label>
                        <input class="form-control" type="text" id="Firstname" />
                    </div>
                    <div class="form-group">
                        <label>นามสกุล</label>
                        <input class="form-control" type="text" id="Surname" />
                    </div>
                    <div class="form-group">
                        <label>ชื่อผู้ใช้</label>
                        <input class="form-control" type="text" id="Username" />
                    </div>
                    <div class="form-group">
                        <label>Password</label>
                        <input class="form-control" type="password" id="Password" />
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-outline-success" id="btn">Save Change</button>
                </div>
            </form>

        </div>
    </div>
</div>

<div class="modal fade" id="exampleModalCenter2" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterLabel">รายละเอียด Admin</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <form method="post">
                <div class="modal-body">

                    <div class="form-group">
                        <label>ชื่อ</label>
                        <input class="form-control" type="text" id="Firstname1" disabled/>
                    </div>
                    <div class="form-group">
                        <label>นามสกุล</label>
                        <input class="form-control" type="text" id="Surname2" disabled/>
                    </div>
                    <div class="form-group">
                        <label>ชื่อผู้ใช้</label>
                        <input class="form-control" type="text" id="Username3" disabled/>
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Close</button>
                </div>
            </form>

        </div>
    </div>
</div>

<div class="modal fade" id="exampleModalCenter3" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalCenterLabel">แก้ไข Admin</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <form method="post">
                <div class="modal-body">

                    <div class="form-group">
                        <label>ชื่อ</label>
                        <input class="form-control" type="text" id="FirstnameE1"  />
                    </div>
                    <div class="form-group">
                        <label>นามสกุล</label>
                        <input class="form-control" type="text" id="SurnameE2"  />
                    </div>
                    <div class="form-group">
                        <label>ชื่อผู้ใช้</label>
                        <input class="form-control" type="text" id="UsernameE3"  />
                    </div>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-outline-success" id="btnEdit">Save Change</button>
                </div>
            </form>
        </div>
    </div>
</div>
<input hidden id="AdminID"/>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.0/jquery.min.js"></script>
<script>
    function DetailAdmin(id) {
        $("#AdminID").val(id);
        $.ajax({
            method: 'GET',
            url: "/Mysql/Detail",
            data: { id: id },
            dataType: "json",
            success: function (res) {
                var obj = JSON.parse(JSON.stringify(res));
                $("#Firstname1").val(obj.firstname);
                $("#Surname2").val(obj.surname);
                $("#Username3").val(obj.username);

                $("#FirstnameE1").val(obj.firstname);
                $("#SurnameE2").val(obj.surname);
                $("#UsernameE3").val(obj.username);

            }
        });
    }
    function onDelete(id) {
        swal({
            title: "คุณต้องการลบ?",
            icon: "warning",
            buttons: ["Cancel", "Delete Now"],
            dangerMode: true,
        }).then((willDelete) => {
            if (willDelete) {
                $.ajax({
                    type: 'POST',
                    url: '/Mysql/DeleteAdmin',
                    data: { id: id },
                    success: function (result) {
                        if (result == "DeleteSuccess!") {
                            swal("ถูกลบแล้ว!", {
                                icon: "success",
                            }).then(function () {
                                window.location.href = "/Mysql/Index";
                            });
                        }
                        else {
                            swal({
                                title: "ลบไม่สำเร็จแล้ว",
                                icon: "error",
                                button: "OK!",
                            });
                        }
                    }
                });
            }
        });
    }
</script>
<script>

    $(document).ready(function () {
        
        $("#btnEdit").click(function () {
            var Firstname = $("#FirstnameE1").val();
            var Surname = $("#SurnameE2").val();
            var Username = $("#UsernameE3").val();
            var A_Password = $("#PasswordE4").val();
            var AdminID = $("#AdminID").val();

            var obj = {
                Firstname: Firstname,
                Surname: Surname,
                Username: Username,
                Password: A_Password,
                AdminID: AdminID
            }

            $.ajax({
                method: 'POST',
                url: "/Mysql/EditAdmin",
                data: { acc: obj },
                success: function (res) {
                    if (res == "ชื่อผู้ใช้ซํ้า!") {
                        'use strict';
                        resetToastPosition();
                        $.toast({
                            heading: 'Error',
                            text: "กรุณาเปลี่ยนชื่อผู้ใช้!",
                            showHideTransition: 'slide',
                            icon: 'error',
                            loaderBg: '#f2a654',
                            position: 'top-right'
                        });
                    }
                    else {
                        window.location.href = "/Mysql/Index";
                    }
                }
            });
        });

        $("#btn").click(function () {
            var Firstname = $("#Firstname").val();
            var Surname = $("#Surname").val();
            var Username = $("#Username").val();
            var A_Password = $("#Password").val();

            var obj = {
                Firstname: Firstname,
                Surname: Surname,
                Username: Username,
                Password: A_Password
            }

           $.ajax({
                method: 'POST',
                url: "/Mysql/RegisterAdmin",
                data: { acc: obj },
                success: function (res) {
                    if (res == "ชื่อผู้ใช้ซํ้า!") {
                        'use strict';
                        resetToastPosition();
                        $.toast({
                            heading: 'Error',
                            text: "ชื่อผู้ใช้ซํ้า!",
                            showHideTransition: 'slide',
                            icon: 'error',
                            loaderBg: '#f2a654',
                            position: 'top-right'
                        });
                    }
                    else {
                        window.location.href = "/Mysql/Index";
                    }
                }
            });

        });
    });
</script>